Title

Sub-title

Question

Reponse

What are the minimum requirements to use APY Enterprise?

 

In short, have an internet connection, and a computer build after 2001, and hopefully, having the latest firmware of Windows or Mac. The longest version is, use the latest update of your browser, and ensure that Mac or your Windows computer is up to date.